> For the complete documentation index, see [llms.txt](https://docs.documint.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.documint.me/templates/working-with-dynamic-data/functions-and-operators/operators/array-operators.md).

# Array Operators

### isIn

`{{$isIn value array}}`

Evaluates to true if `value` is in `array`.

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="String Array" color="blue"></option><option value="90054e941c4a42189f24f740853acb64" label="Number Array" color="blue"></option><option value="faca2fa5943441089b26f8f93d7d11a2" label="Boolean Array" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>value</td><td>A static value or a variable path</td><td><span data-option="b0403385da1b4af9a8a894cb7cfa1e88">String, </span><span data-option="6a3ca9c830be4cd5a2bcf10d17c44f82">Number, </span><span data-option="011b91dfe58a400894b04549ec4f9e02">Boolean</span></td><td>true</td></tr><tr><td>array</td><td>Array of values to check for <code>value</code></td><td><span data-option="331ed19046194ceda3a4dc3fc0789b8f">String Array, </span><span data-option="90054e941c4a42189f24f740853acb64">Number Array, </span><span data-option="faca2fa5943441089b26f8f93d7d11a2">Boolean Array</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isIn "sports" categories) }}Sports is in categories{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "categories":[
        "sports",
        "entertainment",
        "news"
    ]
}
```

{% endtab %}

{% tab title="Result" %}
Sports is in categories
{% endtab %}
{% endtabs %}

### isNotIn&#x20;

`{{$isNotIn value array}}`

Evaluates to `true` if `value` **is not in** `array`.

**Arguments**

<table><thead><tr><th width="150">Name</th><th width="272.5333333333333">Description</th><th width="150">Type<select multiple><option value="b0403385da1b4af9a8a894cb7cfa1e88" label="String" color="blue"></option><option value="6a3ca9c830be4cd5a2bcf10d17c44f82" label="Number" color="blue"></option><option value="011b91dfe58a400894b04549ec4f9e02" label="Boolean" color="blue"></option><option value="3c1342f6b38a46e39064bd88015df50d" label="Any" color="blue"></option><option value="331ed19046194ceda3a4dc3fc0789b8f" label="String Array" color="blue"></option><option value="90054e941c4a42189f24f740853acb64" label="Number Array" color="blue"></option><option value="faca2fa5943441089b26f8f93d7d11a2" label="Boolean Array" color="blue"></option></select></th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>value</td><td>A static value or a variable path</td><td><span data-option="b0403385da1b4af9a8a894cb7cfa1e88">String, </span><span data-option="6a3ca9c830be4cd5a2bcf10d17c44f82">Number, </span><span data-option="011b91dfe58a400894b04549ec4f9e02">Boolean</span></td><td>true</td></tr><tr><td>array</td><td>Array of values to check for <code>value</code></td><td><span data-option="331ed19046194ceda3a4dc3fc0789b8f">String Array, </span><span data-option="90054e941c4a42189f24f740853acb64">Number Array, </span><span data-option="faca2fa5943441089b26f8f93d7d11a2">Boolean Array</span></td><td>true</td></tr></tbody></table>

**Returns**

&#x20; *(*[*Boolean*](/legacy-documentation/data-and-variables/data-types.md#booleans)*)*

**Example**

{% tabs %}
{% tab title="Template" %}
{{#if ($isNotIn "sports" categories)}}Sports is not in categories{{/if}}
{% endtab %}

{% tab title="Data" %}

```json
{
    "categories":[
        "entertainment",
        "weather",
        "news"
    ]
}
```

{% endtab %}

{% tab title="Result" %}
Sports is not in categories
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.documint.me/templates/working-with-dynamic-data/functions-and-operators/operators/array-operators.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
